<?php

namespace Fifa\ConnectId\Sdk\Tms;

use Exception;

class ResponseNotReceivedException extends Exception
{
    /**
     * @var string
     */
    public $correlationId;

    public function __construct($message, $correlationId, $code = 0, Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->correlationId = $correlationId;
    }
}